org.wildfly.swarm.config.elytron

## Class X500AttributePrincipalDecoder<T extends X500AttributePrincipalDecoder<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.X500AttributePrincipalDecoder<T>

-     public class X500AttributePrincipalDecoder<T extends X500AttributePrincipalDecoder<T>>
      extends Object

  Definition of a X.500 attribute based principal decoder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `X500AttributePrincipalDecoder(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `attributeName()` The name of the X.500 attribute to map (can be defined using OID instead)
    `T` | `attributeName(String value)` The name of the X.500 attribute to map (can be defined using OID instead)
    `Boolean` | `convert()` When set to 'true', if the Principal is not already an X500Principal conversion will be attempted
    `T` | `convert(Boolean value)` When set to 'true', if the Principal is not already an X500Principal conversion will be attempted
    `String` | `getKey()`
    `String` | `joiner()` The joining string
    `T` | `joiner(String value)` The joining string
    `Integer` | `maximumSegments()` The maximum number of occurrences of the attribute to map
    `T` | `maximumSegments(Integer value)` The maximum number of occurrences of the attribute to map
    `String` | `oid()` The OID of the X.500 attribute to map (can be defined using attribute name instead)
    `T` | `oid(String value)` The OID of the X.500 attribute to map (can be defined using attribute name instead)
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `T` | `requiredAttribute(String value)` The attributes names of the attributes that must be present in the principal
    `List<String>` | `requiredAttributes()` The attributes names of the attributes that must be present in the principal
    `T` | `requiredAttributes(List<String> value)` The attributes names of the attributes that must be present in the principal
    `T` | `requiredAttributes(String... args)` The attributes names of the attributes that must be present in the principal
    `T` | `requiredOid(String value)` The OIDs of the attributes that must be present in the principal
    `List<String>` | `requiredOids()` The OIDs of the attributes that must be present in the principal
    `T` | `requiredOids(List<String> value)` The OIDs of the attributes that must be present in the principal
    `T` | `requiredOids(String... args)` The OIDs of the attributes that must be present in the principal
    `Boolean` | `reverse()` When set to 'true', the attribute values will be processed and returned in reverse order
    `T` | `reverse(Boolean value)` When set to 'true', the attribute values will be processed and returned in reverse order
    `Integer` | `startSegment()` The 0-based starting occurrence of the attribute to map
    `T` | `startSegment(Integer value)` The 0-based starting occurrence of the attribute to map

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### X500AttributePrincipalDecoder

          public X500AttributePrincipalDecoder(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### attributeName

          public String attributeName()

      The name of the X.500 attribute to map (can be defined using OID instead)

    - #### attributeName

          public T attributeName(String value)

      The name of the X.500 attribute to map (can be defined using OID instead)

    - #### convert

          public Boolean convert()

      When set to 'true', if the Principal is not already an X500Principal conversion will be attempted

    - #### convert

          public T convert(Boolean value)

      When set to 'true', if the Principal is not already an X500Principal conversion will be attempted

    - #### joiner

          public String joiner()

      The joining string

    - #### joiner

          public T joiner(String value)

      The joining string

    - #### maximumSegments

          public Integer maximumSegments()

      The maximum number of occurrences of the attribute to map

    - #### maximumSegments

          public T maximumSegments(Integer value)

      The maximum number of occurrences of the attribute to map

    - #### oid

          public String oid()

      The OID of the X.500 attribute to map (can be defined using attribute name instead)

    - #### oid

          public T oid(String value)

      The OID of the X.500 attribute to map (can be defined using attribute name instead)

    - #### requiredAttributes

          public List<String> requiredAttributes()

      The attributes names of the attributes that must be present in the principal

    - #### requiredAttributes

          public T requiredAttributes(List<String> value)

      The attributes names of the attributes that must be present in the principal

    - #### requiredAttribute

          public T requiredAttribute(String value)

      The attributes names of the attributes that must be present in the principal

    - #### requiredAttributes

          public T requiredAttributes(String... args)

      The attributes names of the attributes that must be present in the principal

    - #### requiredOids

          public List<String> requiredOids()

      The OIDs of the attributes that must be present in the principal

    - #### requiredOids

          public T requiredOids(List<String> value)

      The OIDs of the attributes that must be present in the principal

    - #### requiredOid

          public T requiredOid(String value)

      The OIDs of the attributes that must be present in the principal

    - #### requiredOids

          public T requiredOids(String... args)

      The OIDs of the attributes that must be present in the principal

    - #### reverse

          public Boolean reverse()

      When set to 'true', the attribute values will be processed and returned in reverse order

    - #### reverse

          public T reverse(Boolean value)

      When set to 'true', the attribute values will be processed and returned in reverse order

    - #### startSegment

          public Integer startSegment()

      The 0-based starting occurrence of the attribute to map

    - #### startSegment

          public T startSegment(Integer value)

      The 0-based starting occurrence of the attribute to map

Copyright © 2017 JBoss by Red Hat. All rights reserved.